Bug 1710348 - ceilometer and aodh puppets collide on python3-redis package already defined
Summary: ceilometer and aodh puppets collide on python3-redis package already defined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 15.0 (Stein)
Assignee: Alfredo Moralejo
QA Contact: Pavel Sedlák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 11:39 UTC by Pavel Sedlák
Modified: 2019-09-26 10:50 UTC (History)
1 user (show)

Fixed In Version: openstack-packstack-14.0.0-0.20190520100353.18df75b.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:22:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 659805 0 None stable/stein: MERGED x/packstack: Rename package resouce for pythonX-redis (I96d1106ecfecd1bd1425770ff21bbb469f08af9c) 2019-05-20 11:01:39 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:22:23 UTC

Description Pavel Sedlák 2019-05-15 11:39:12 UTC
packstack setup fails due aodph and ceilometer puppets
are both attempting to redefine python3-redis package definition (python3 compat?)

> 2019-05-14 14:51:54.592 | Copying Puppet modules and manifests                 [ DONE ]
> 2019-05-14 14:51:54.594 | Applying 172.16.1.18_controller.pp
> 2019-05-14 14:51:54.596 | 
> 172.16.1.18_controller.pp:                        [ ERROR ]
> 2019-05-14 14:51:54.599 | Applying Puppet manifests                         [ ERROR ]
> 2019-05-14 14:51:54.601 | 
> 2019-05-14 14:51:54.603 | ERROR : Error appeared during Puppet run: 172.16.1.18_controller.pp
> 2019-05-14 14:51:54.605 | Error: Evaluation Error: Error while evaluating a Function Call, Cannot alias Package[python-redis] to ["python3-redis", nil] at (file: /var/tmp/packstack/3bd6e2ea3da34404a889907505ab1047/modules/aodh/manifests/evaluator.pp, line: 43); resource ["Package", "python3-redis", nil] already declared (file: /var/tmp/packstack/3bd6e2ea3da34404a889907505ab1047/modules/packstack/manifests/ceilometer.pp, line: 21) (file: /var/tmp/packstack/3bd6e2ea3da34404a889907505ab1047/modules/aodh/manifests/evaluator.pp, line: 43, column: 7) on node c82066098a255b929184734fe851a438-aio-0.openstacklocal

puppet-5.5.10-5.el8ost.noarch
openstack-packstack-14.0.0-0.20190430100357.e9242f1.el8ost.noarch
openstack-packstack-puppet-14.0.0-0.20190430100357.e9242f1.el8ost.noarch
puppet-ceilometer-14.4.1-0.20190420104600.2e50dfd.el8ost.noarch
puppet-aodh-14.4.1-0.20190420123525.cdf42b9.el8ost.noarch

Comment 2 Alfredo Moralejo 2019-05-16 10:51:09 UTC
Proposed fix for master https://review.opendev.org/#/c/659527/ i'll cherry-cherry pick it to stable/stein

Comment 3 Alfredo Moralejo 2019-05-20 08:18:21 UTC
Cherry-pick in https://review.opendev.org/#/c/659805/

Comment 4 Alfredo Moralejo 2019-05-20 10:55:37 UTC
Patch is merged in stable/stein and built in RDO Trunk repo for stein.

Comment 9 Pavel Sedlák 2019-09-05 15:13:13 UTC
verified - packstack now deploys osp15 and basic tempest scenarios pass too.


> 2019-08-27 15:50:13.945 | Preparing Gnocchi entries                            [ DONE ]
> 2019-08-27 15:50:13.947 | Preparing Redis entries                              [ DONE ]
> 2019-08-27 15:50:13.950 | Preparing Ceilometer entries                         [ DONE ]
> 2019-08-27 15:50:13.953 | Preparing Aodh entries                               [ DONE ]
> 2019-08-27 15:50:13.955 | Preparing Puppet manifests                           [ DONE ]
> 2019-08-27 15:50:13.958 | Copying Puppet modules and manifests                 [ DONE ]
> 2019-08-27 15:50:13.961 | Applying 172.16.1.21_controller.pp
> 2019-08-27 15:50:13.964 | 
> 172.16.1.21_controller.pp:                           [ DONE ]
> 2019-08-27 15:50:13.967 | Applying 172.16.1.21_network.pp
> 2019-08-27 15:50:13.970 | 
> 172.16.1.21_network.pp:                              [ DONE ]
> 2019-08-27 15:50:13.973 | Applying 172.16.1.21_compute.pp
> 2019-08-27 15:50:13.976 | 
> 172.16.1.21_compute.pp:                              [ DONE ]
> 2019-08-27 15:50:13.979 | Applying Puppet manifests                            [ DONE ]
> 2019-08-27 15:50:13.982 | Finalizing                                           [ DONE ]
> 2019-08-27 15:50:13.985 | 
> 2019-08-27 15:50:13.988 |  **** Installation completed successfully ******
> 2019-08-27 15:50:13.992 | 

tested with beta versions:
> openstack-packstack.noarch                        1:14.0.0-0.20190605130427.c68b799.el8ost         @rhelosp-15.0-trunk-devtools        
> openstack-packstack-puppet.noarch                 1:14.0.0-0.20190605130427.c68b799.el8ost         @rhelosp-15.0-trunk-devtools

Comment 11 errata-xmlrpc 2019-09-21 11:22:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.